<div class="row">
  <div class="col-md-12">
    <button class="btn" [ngClass]="{'btn-default': !model.hasBold, 'btn-primary': model.hasBold}" [disabled]="!model.enableBoldStyle"
      (click)="toggleStyle('bold')">
      <i class="fas fa-bold"></i></button>
    <button class="btn" [ngClass]="{'btn-default': !model.hasItalic, 'btn-primary': model.hasItalic}" [disabled]="!model.enableItalicStyle"
      (click)="toggleStyle('italic')">
      <i class="fas fa-italic"></i></button>
    <button class="btn" [ngClass]="{'btn-default': !model.hasUnderline, 'btn-primary': model.hasUnderline}" [disabled]="!model.enableUnderlineStyle"
      (click)="toggleStyle('underline')">
      <i class="fas fa-underline"></i></button>
  </div>
</div>

<br>

<div class="row">
  <div class="col-md-12">

    <div class="editable" contenteditable="true" (mouseup)="onTextSelection()" (input)="getWords($event.target.textContent)"
      [innerHTML]="model.editableText"></div>

  </div>

</div>